Name:           jgraphx
Version:        1.10.4.0
Release:        2%{?dist}
Summary:        Java Graph Drawing Component

Group:          Development/Libraries
License:        BSD
URL:            http://www.jgraph.com/jgraph.html
Source0:        http://www.jgraph.com/downloads/jgraphx/archive/%{name}-%(echo %{version} |sed 's/\./_/g').zip

BuildRequires:  ant
BuildRequires:  java-devel >= 1.6
BuildRequires:  jpackage-utils
Requires:       java >= 1.4
Requires:       jpackage-utils

BuildArch:      noarch

%description
JGraphX is the a powerful, easy-to-use and feature-rich graph drawing
component for Java. It is a rewrite of JGraph, also known as JGraph 6.


%package javadoc
Summary:        API Documentation for %{name}
Group:          Documentation
Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}

%description javadoc
JavaDoc documentation for %{name}


%prep
%setup -q -n %{name}
find -name '*.jar' -delete
rm -rf docs/api


%build
ant


%install

# Code
install -d $RPM_BUILD_ROOT%{_javadir}
install -p -m644 lib/%{name}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# API documentation
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}


%files
%{_javadir}/*
%doc license.txt


%files javadoc
%{_javadocdir}/*


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 04 2012 Clément David <c.david86@gmail.com> - 1.10.4.0-1
- Update version

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 05 2012 Clément David <c.david86@gmail.com> - 1.9.2.5-1
- Bump version

* Mon Apr 02 2012 Clément David <c.david86@gmail.com> - 1.9.2.4-2
- Update version

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.4.1.0-2
- Drop files in %%prep, fix URL (Markus Mayer)

* Mon Sep 20 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.4.1.0-1
- Bump version
- Fix URL (Markus Mayer)
- Add required dependencies (Markus Mayer)

* Thu May 20 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.4.0.2-1
- Bump version

* Thu Apr 29 2010 Lubomir Rintel <lkundrak@v3.sk> - 1.3.1.6-1
- Initial packaging
